# Description Helper Module

is a customizable module for Drupal 10 that enhances the editing experience for content managers. This module adds a helper button on specified content items, allowing editors to quickly check how they can add or edit content with ease. It is designed to provide an optimized user experience with configurable settings that make it adaptable to various content needs.

## Key Features

- Helper Button for Editors: Adds a button on content items that allows editors to quickly access the description editor.
- Customizable Display Text: Configure the button's label text in the module settings for a tailored experience.
- Flexible Content Configuration: Supports both plain text and HTML content in the description, allowing for rich formatting options.
- User-Friendly Interface: Streamlines the editing workflow, helping editors provide concise and consistent descriptions across the site.

## Configuration

To configure the module:

- Navigate to Admin > Configuration > Content Authoring > Description Helper.
  Customize the button label text as desired.
- Add HTML or plain text for descriptions through the configuration settings.
- Save your changes, and the helper button will reflect the updated label and content configuration.
- This module is ideal for websites that require efficient content editing workflows and a consistent user experience.

## Installation

Install the module as usual in Admin > Extend.
Enable the module, and configure the settings as outlined above.
